void main()
{// Hurts parent with same damage
    void self = getlocalvar("self"); //Get calling entity.
    int Damage = getlocalvar("damage"); //Get received damage
    void Parent = getentityproperty(self,"parent");

    damageentity(Parent, self, Damage, 0, openborconstant("ATK_NORMAL"));
}